usb_packet Struct Reference

## Public Attributes

union {
unsigned char pkt_data [18]
struct {
unsigned char usb_message_header
unsigned char usb_command_identifier
unsigned char command_type
unsigned char unused0
unsigned char unused1
unsigned char unused2
unsigned short can_message_header
unsigned char unused3
unsigned char can_message [8]
unsigned char usb_message_checksum
} |
}; |

The documentation for this struct was generated from the following file:

- usb_packet.h

Last updated 12 September 2005 21:38:45